Bug 3319 - Bind problem with forward only dns!
Bind problem with forward only dns!
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
6.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-06-07 13:53 EDT by rpeiffer
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-06-29 08:58:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rpeiffer 1999-06-07 13:53:03 EDT
It appears I've discovered some kind of glitch with the
lastest version of bind included with Redhat Linux 6.0
(8.2-6).

I've got two internal dns servers running bind.  One
primary, one secondary.

The job of these servers is to resolve local domains ONLY
and forward all unresolved requests to one of two domain
name servers on our firewall for resolution.  A proxy type
configuration.

ALL machines in question were running Redhat Linux 5.2 with
bind version 8.1.2-5.  All errata files were installed and
external names were resolved just fine.

I then upgraded both the internal dns name servers to Redhat
6.0 and updated all files with errata.  The upgrade went
smoothly on both machines.  I then noticed that although
internal local domains were still resolving properly,
all external domains would NOT resolve.

I checked to make sure my config files (/etc/named.conf) had
not been altered.  They had not.

I then took one of the name servers and uninstalled bind
(rpm -ev) and then reinstalled the one from Redhat 5.2.  I
then killed off the named daemon and restarted it.

This server then correctly resolved external domains
properly.

Here is my config file for the primary internal dns (NOTE:
my root.cache file is empty as all unresolved dns requests
get forwarded):


// generated by named-bootconf.pl

options {
        directory "/var/named";
        forward only;
        forwarders {
                207.250.113.68;
                207.250.113.67;
        };
        allow-transfer {
                207.250.113.0/26;
        };
        /*
         * If there is a firewall between you and
nameservers you want
         * to talk to, you might need to uncomment the
query-source
         * directive below.  Previous versions of BIND
always asked
         * questions using port 53, but BIND 8.1 uses an
unprivileged
         * port by default.
         */
        // query-source address * port 53;
};

// Boot file for lserver.smacek.com
//
//
// type domain  domain                          source file
or host
zone "." {
        type hint;
        file "root.cache";
};

zone "113.250.207.in-addr.arpa" {
        type master;
        file "pz/207.250.113";
};

zone "smacek.com" {
        type master;
        file "pz/smacek.com";
};

zone "steenmacek.com" {
        type master;
        file "pz/steenmacek.com";
};

zone "aippm.com" {
        type master;
        file "pz/aippm.com";
};

zone "paperinnovations.com" {
        type master;
        file "pz/paperinnovations.com";
};

zone "paperinnovation.com" {
        type master;
        file "pz/paperinnovation.com";
};

zone "external.smacek.com" {
        type master;
        file "pz/external.smacek.com";
};

zone "external.aippm.com" {
        type master;
        file "pz/external.aippm.com";
};

zone "0.0.127.in-addr.arpa" {
        type master;
        file "pz/127.0.0";
};

// that's all folks


I would be more than happy to send you any additional
information should you request it.

Thanks.
Comment 1 Jay Turner 1999-06-29 08:58:59 EDT
Would you please try the bind packages that are currently available in
Rawhide (bind-8.2.1-1) and see if they fix your problems?  Reopen the
bug if you are still having problem after this upgrade.  Rawhide can
be found at ftp.rawhide.com and has the same structure as a normal
distribution (i.e. the RPMs are in RedHat/RPMS)

Note You need to log in before you can comment on or make changes to this bug.